// TecInt.c
//

#include <stdio.h>
#include "maquina.h"
#include "rutint.h"
#include "pantalla.h"

#define LIMITE 10
#define MAX_BUFF_TECLADO 80

// 0--- ---- MAKE
// 1--- ---- BREAK
#define MAKE(tec)	(!(tec & MASC_MAKE))

unsigned char TABLA_ASCII[] = {
   '*', 27 , '1', '2', '3', '4', '5', '6', '7', '8', '9', '0','\'', '',   8,  // 14
	9 , 'Q', 'W', 'E', 'R', 'T', 'Y', 'U', 'I', 'O', 'P', '`', '+',  13, '*',  // 29
   'A', 'S', 'D', 'F', 'G', 'H', 'J', 'K', 'L', '', '*', '',  14, '',       // 43
   'Z', 'X', 'C', 'V', 'B', 'N', 'M', ',', '.', '-',  15,                // 54
   '*', '*', ' ', '*', '*', '*', '*', '*', '*', '*', '*', '*', '*', '*', // 68
   '*', '*', '5', '8', '9', '-', '4', '5', '6', '+', '1', '2', '3', '0', // 82
   '.', '*', '*', '<', '*', '*', '*', '*', //90
};

int Final=0; // Variable para finalizar el programa

unsigned char LeerRegDatosTeclado()
{
	// Retorna el contenido del registro de datos del teclado
	// Misma rutina que en el teclado por encuesta
}

void StrobeTeclado()
{
	// Secuencia de strobe del teclado
	// Misma rutina que en el teclado por encuesta
}

void TratarCaracterLeido(unsigned char c)
{
	static int fila=LIMITE+2, col=LIMITE*2;
	static unsigned char Atrib=1;

	switch(c)
	{
		case 'Q':  	Final = 1;
					break;
		case 'Y':  	fila--;
					break;
		case 'B':	fila++;
					break;
		case 'G':	col--;
					break;
		case 'H':	col++;
					break;
		default:	break;
	}
	if (fila < LIMITE) fila =LIMITE;
	if (fila > (25-LIMITE)) fila = 25-LIMITE;
	if (col < LIMITE) col = LIMITE;
	if (col > (80-LIMITE)) col = 80-LIMITE;

	Atrib = (Atrib +1) % 128;
	if (((Atrib  | (Atrib >>4)) | 0x07) != 0)
				Atrib = ((Atrib +1) % 128);
	if (Atrib== 0) Atrib =1;
	EscribeCar(fila,col,c,Atrib);
}


void interrupt  RutAtencionTec()
{
	// Rutina de servicio que detecta un MAKE y llama a la funcion
	// TratarCaracterLeido(CodigoASCII)

   //	Iret();
}
